import request from '@/utils/request';

//获取所有角色
export function getAlgorithmClassTree(params:any){
  return request({
    url: '/algorithm/algorithm-class/getAlgorithmClassTree' ,
    method: 'get',
    params: params
  });
}
//查询算法部件的参数
export function getAlgorithmDeviceParams(params:any){
    return request({
      url: '/algorithm/algorithm-device/getAlgorithmDeviceParams' ,
      method: 'post',
      params: params
    });
  }
//查询算法部件的参数曲线
export function getAlgorithmDeviceCurve(params:any){
  return request({
    url: '/algorithm/algorithm-device/getAlgorithmDeviceCurve' ,
    method: 'post',
    params: params
  });
}
//根据算法id过去参数名称
export function getAlgorithmParamsNameList(params:any){
  return request({
    url: '/algorithm/algorithm-params/getAlgorithmParamsNameList' ,
    method: 'get',
    params: params
  });
}
//调用算法分析
export function callAlgorithmAnalyse(params:any){
  return request({
    url: '/algorithm/algorithm-params/callAlgorithmAnalyse' ,
    method: 'post',
    params: params
  });
}